# Maintainer: Luca Weiss <luca@z3ntu.xyz>
# Contributor: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=qdjango
pkgver=0.6.2_git20180307
_commit="bda4755ece9d173a67b880e498027fcdc51598a8"
pkgrel=0
pkgdesc="A Qt-based C++ web framework"
url="https://github.com/jlaine/qdjango"
arch="all"
license="LGPL-2.1-or-later"
depends_dev="qt5-qtdeclarative-dev"
makedepends="$depends_dev doxygen"
source="
	no_docs_tests.patch
	$pkgname-$pkgver.tar.gz::https://github.com/jlaine/qdjango/archive/$_commit.tar.gz
	"
subpackages="$pkgname-dev"
builddir="$srcdir/$pkgname-$_commit"

build() {
	qmake-qt5 PREFIX=/usr
	make
}

check() {
	make check
}

package() {
	make INSTALL_ROOT="$pkgdir" install
}

sha512sums="
5a13186b3f72d42d4423a1732daf6bb3ace936381a47e4849b2ec2395ff0dd40f23f4ab9bf8e8725a039c3ce7f3096cfd772cdec6f18eff782f9ad8ec725d45d  qdjango-0.6.2_git20180307.tar.gz
4c18534ded97db3793679f46828ad212105db4fa4018def98157ce12579245a9feecd7570ef3c958c59dd4bd9e9dc6d5b09070bd8ce4f5872784cb7f60b402e5  no_docs_tests.patch
"
